Package Details: pqiv 2.10.4-2

Git Clone URL: https://aur.archlinux.org/pqiv.git (read-only)
Package Base: pqiv
Description: Modern rewrite of Quick Image Viewer
Upstream URL: https://github.com/phillipberndt/pqiv/
Keywords: graphics
Licenses: GPL3
Submitter: Carpetsmoker
Maintainer: caleb
Last Packager: caleb
Votes: 10
Popularity: 1.834755
First Submitted: 2015-08-20 10:37
Last Updated: 2018-09-01 13:55

Latest Comments

caleb commented on 2018-08-10 12:00

Thanks @padv, I've adopted this and updated is per your comment (as well as to the latest upstream version).

padv commented on 2017-08-15 22:45

Should depend on libarchive for images in compressed archives:

--- PKGBUILD 2017-08-16 00:37:59.345933151 +0200
+++ PKGBUILD.new 2017-08-16 00:40:26.825138535 +0200
@@ -2,13 +2,15 @@

pkgname=pqiv
pkgver=2.9
-pkgrel=1
+pkgrel=2
pkgdesc="Modern rewrite of Quick Image Viewer"
arch=('i686' 'x86_64')
url="https://github.com/phillipberndt/pqiv/"
license=('GPL3')
-depends=('gtk3') # Also works with GTK2...
+depends=('gtk3' # Also works with GTK2...
+ 'libarchive>=3.3.2') # for images in compressed archives, 3.3.2 fixes https://github.com/libarchive/libarchive/issues/869
optdepends=(
+'ffmpeg: video support'
'libspectre: PS/EPS support'
'poppler: PDF support'
'libwebp: WebP support'
@@ -20,6 +22,7 @@

build() {
cd $pkgname-$pkgver
+ ./configure --backends=archive,gdkpixbuf
make
}